<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSuratMasukTable extends Migration {

	public function up()
	{
		Schema::create('surat_masuk', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('surat_kategori_id')->unsigned();
			$table->integer('surat_sifat_id')->unsigned();
			$table->string('no', 30)->nullable();
			$table->string('no_arsip', 10)->nullable();
			$table->string('no_agenda', 20)->nullable();
			$table->date('tgl_surat')->nullable();
			$table->date('tgl_diterima')->nullable();
			$table->string('pengirim', 30)->nullable();
			$table->string('prihal', 200)->nullable();
			$table->string('file', 200)->nullable();
			$table->string('ringkasan', 200)->nullable();
			$table->string('keterangan', 250)->nullable();
			$table->string('status', 10)->nullable();
			$table->timestamps();
			$table->softDeletes();
			$table->tinyInteger('baca')->nullable()->default('0');
		});
	}

	public function down()
	{
		Schema::drop('surat_masuk');
	}
}