<?php

namespace app/Models;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class SuratDisposisi extends Eloquent {

	protected $table = 'surat_disposisi';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('surat_masuk_id', 'pegawai_id', 'disposisi', 'keterangan', 'catatan');

	public function pegawai()
	{
		return $this->belongsTo('app/Models\Pegawai', 'pegawai_id');
	}

	public function surat_masuk()
	{
		return $this->belongsTo('app/Models\SuratMasuk', 'surat_masuk_id');
	}

}